RFSTART(8)

NAME
rfstart - start RFS

SYNOPSIS
rfstart [ -v ] [ -p primary_addr ]

AVAILABILITY

This program is available with the RFS software installation option. Refer to for information on how to install optional software.

DESCRIPTION

rfstart starts Remote File Sharing (RFS) and defines an authentication level for incoming requests. This command can be used only after the domain name server is set up and your computer's domain name and network specification has been defined using dname(8).

If the host password has not been set, rfstart will prompt for a password; the password prompting process must match the password entered for your machine at the primary domain name server (see rfadmin(8)). If you remove the loc.passwd file or change domains, you will also have to reenter the password.

Also, when rfstart is run on a domain name server, entries in the rfmaster(5) file are syntactically validated.

This command is restricted to the super-user.

If syntax errors are found in validating the rfmaster(5) file, a warning describing each error will be sent to the standard error.

An error message will be sent to the standard error if any of the following is true:

    •   The shared resource environment is already running.

    •   There is no communications network.

    •   The domain name server cannot be found.

    •   The domain name server does not recognize the machine.

    •   The command is run without super-user privileges.

Remote file sharing will not start if the host password in /usr/nserve/loc.passwd is corrupted. If you suspect this has happened, remove the file and run rfstart again to reenter your password.

Note: rfstart will not fail if your host password does not match the password on the domain name server. You will simply receive a warning message. However, if you try to mount a resource from the primary or any other host that validates your password, the mount will fail if your password does not match the one that host has listed for your machine.

OPTIONS

-v  Specify that verification of all clients is required in response to initial incoming mount requests; any host not in the file /usr/nserve/auth.info/domain/passwd for the domain they belong to, will not be allowed to mount resources from your host. If the -v option is not specified, hosts named in domain/passwd will be verified, other hosts will be allowed to connect without verification.

-p primary_addr
    Indicate the primary domain name server for your domain. primary_addr must be the network address of the primary name server for your domain. If the -p option is not specified, the address of the domain name server is taken from the rfmaster file. See rfmaster(5) for a description of the valid address syntax.

FILES
/usr/nserve/rfmaster
/usr/nserve/loc.passwd

SEE ALSO
rfmaster(5), adv(8), dname(8), mount(8), rfadmin(8), rfstop(8), unadv(8)